Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
VirtualBox latest
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
alamahant
n00b
n00b


Joined: 23 Mar 2019
Posts: 32

PostPosted: Sat Jun 01, 2019 5:05 pm    Post subject: VirtualBox latest Reply with quote

Hi Respected Community,
I was wondering if there is a clear and precise manual on how to install the latest version of Vbox(download it from Vbox website).
What are the exact dependencies?
Can emerge detect the dependencies of a given package?
If not is there any utility that does that?
Thanks a lot
Andreas
Back to top
View user's profile Send private message
Jaglover
Watchman
Watchman


Joined: 29 May 2005
Posts: 7078
Location: Saint Amant, Acadiana

PostPosted: Sat Jun 01, 2019 5:46 pm    Post subject: Reply with quote

VirtualBox 6.0.8 is in portage, what do you mean by latest?
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43012
Location: 56N 3W

PostPosted: Sat Jun 01, 2019 5:50 pm    Post subject: Reply with quote

alamahant,

ebuilds list both build time and run time depenencies.
If you find a dependency missing, that's a bug.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
alamahant
n00b
n00b


Joined: 23 Mar 2019
Posts: 32

PostPosted: Sun Jun 02, 2019 11:24 pm    Post subject: Reply with quote

Jaglover,
Thanks for the reply but I seem to have app-emulation/virtualbox 5.2.26.
It is definitely NOT 6xxx...
I woder why....................
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 13739

PostPosted: Sun Jun 02, 2019 11:36 pm    Post subject: Reply with quote

Ask Portage. Post the output of emerge --pretend --verbose '>=app-emulation/virtualbox-6'.
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43012
Location: 56N 3W

PostPosted: Sun Jun 02, 2019 11:44 pm    Post subject: Reply with quote

alamahant,

Code:
* app-emulation/virtualbox
     Available versions:  5.2.26 (~)5.2.28-r1 (~)5.2.30 (~)6.0.6-r1 (~)6.0.8
are all in portage.

5.2.26 is stable. The others are testing.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
alamahant
n00b
n00b


Joined: 23 Mar 2019
Posts: 32

PostPosted: Sun Jun 02, 2019 11:55 pm    Post subject: Reply with quote

@All
Thanks thanks I got it.
Apparently I needed to use ~amd64 in package.accept_keywords..
Thank you all
Regards
Andreas
:)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum